package com.ruoyi.board.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.github.yulichang.base.MPJBaseServiceImpl;
import org.springframework.stereotype.Service;
import com.ruoyi.board.mapper.BoardInfoMapper;
import com.ruoyi.board.domain.BoardInfo;
import com.ruoyi.board.service.IBoardInfoService;

@Service
public class BoardInfoServiceImpl extends MPJBaseServiceImpl<BoardInfoMapper, BoardInfo> implements IBoardInfoService {

    @Override
    public BoardInfo getOneByIP(String ip) {
        LambdaQueryWrapper<BoardInfo> boardInfoLambdaQueryWrapper = new LambdaQueryWrapper<>();
        boardInfoLambdaQueryWrapper.eq(BoardInfo::getBoardIp, ip);
        return getOne(boardInfoLambdaQueryWrapper);
    }
}
