package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 计划发布中的类型对象 pub_plan_type
 *
 * @author fuhao
 * @date 2024-09-02
 */
@Data
@TableName(value = "pub_plan_type")
public class PlanType implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一标识
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 类型名称 */
    @TableField(value = "type_name")
    private String typeName;

    /** 类型父级id */
    @TableField(value = "parent_id")
    private Long parentId;

    @TableField(select = false)
    private List<PlanType> children = new ArrayList<>();
}
